<?php /* Post Format: Link */ ?>

<div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>
<?php $postlink = urlgrabber(); ?>

<?php if ( has_post_thumbnail() && !is_single() && !is_home() && !is_category() && !is_search() && !is_date() && !is_tag() && !is_author() ) { ?>
    
    <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
    	<a href="<?php echo $postlink; ?>">
    		<div class="image-link-inner"></div>
    	</a>
        
        <?php if ( function_exists('get_option_tree') && get_option_tree('disable_captions') != 'Yes' ) {
		if ( has_excerpt( $post->ID ) ) { ?>
        <div class="image-post-overlay">
			<div class="image-post-overlay-in">
				<?php the_excerpt(); ?>
            </div>
        </div>
        <?php } } ?>
 
		<style type="text/css">
		#post-<?php echo $post->ID; ?>-in {
			<?php $image_id = get_post_thumbnail_id();
			$image_url = wp_get_attachment_image_src($image_id,'large', true);
			$postthumb = $image_url[0];
			echo 'background-image: url("'.$postthumb.'");'; ?>
			filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(
			src='<?php echo $postthumb; ?>',
			sizingMethod='scale');
			-ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(
			src='<?php echo $postthumb; ?>',
			sizingMethod='scale')";
		}
		#post-<?php echo $post->ID; ?> {
			background-color: <?php echo get_post_meta($post->ID, 'satori_project-background', true); ?>;
		}
		</style>
    </div>
        
<?php } else { ?>

    <div class="post-wrapper">
        <div class="post-link">
            <h2><a href="<?php echo $postlink; ?>" target="_blank" title="<?php the_title(); ?>"><?php the_title(); ?></a>&nbsp;&raquo;</h2>
        </div>
        <div class="post-link-url">
            <?php echo $postlink; ?>
        </div>
        <?php if ( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author() ) { include 'post-meta.php'; }  ?>
        <div class="clearboth"></div>
    </div>
    
<?php } ?>
    
</div><!--.post-single-->